%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major 0
%define libname %mklibname cryptui %{major}
%define girname %mklibname cryptui-gir %{major}.0
%define develname %mklibname -d cryptui

Name:		libcryptui
Summary:	Interface components for OpenPGP
Version:	3.12.2
Release:	%mkrel 6
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.35
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1) >= 2.25.5
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.0
BuildRequires:	pkgconfig(libnotify) >= 0.3
BuildRequires:	pkgconfig(sm)
BuildRequires:	gnupg
BuildRequires:	gpgme-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	gobject-introspection-devel >= 0.6.4
Requires:	gnupg
Conflicts:	seahorse < 3.1.4

%description
libcryptui is a library used for prompting for PGP keys.

%package -n %{libname}
Group:		System/Libraries
Summary:	Interface components for OpenPGP
Requires:	%{name} = %{version}
Obsoletes:	%{_lib}seahorse0 < 3.1.4

%description -n %{libname}
libcryptui is a library used for prompting for PGP keys.
 
%package -n %{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface description for %{name}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}seahorse-gir0.0 < 3.1.4

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Header files required to develop with libcryptui
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}seahorse-devel < 3.1.4

%description -n %{develname}
The libcryptui-devel package contains the header files and developer
documentation for the libcryptui library.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-dependency-tracking \
	--disable-update-mime-database \
	--disable-schemas-compile
%make

%install
%makeinstall_std

%find_lang cryptui

#we don't want these
rm -f %{buildroot}%{_libdir}/*.la

%files -f cryptui.lang
%{_bindir}/seahorse-daemon
%{_datadir}/cryptui
%{_mandir}/man1/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/pixmaps/cryptui

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/CryptUI-%{major}.%{major}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/*.gir


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 3.12.2-6.mga6
+ Revision: 960938
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 3.12.2-5.mga6
+ Revision: 847527
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 3.12.2-4.mga5
+ Revision: 750143
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.12.2-3.mga5
+ Revision: 731172
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 3.12.2-2.mga5
+ Revision: 681393
- Mageia 5 Mass Rebuild

* Sun May 18 2014 dams <dams> 3.12.2-1.mga5
+ Revision: 623511
- new version 3.12.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 546095
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 502140
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484454
- new version 3.10.0

* Mon Aug 26 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 472057
- new version 3.9.90

* Fri May 24 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 426399
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 356934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297608
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295892
- new version 3.5.92

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271338
- new version 3.5.4

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga3
+ Revision: 231037
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226606
- new version 3.4.0

* Fri Mar 09 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 222047
- new version 3.3.91

* Sat Feb 04 2012 wally <wally> 3.3.5-1.mga2
+ Revision: 204440
- new version 3.3.5

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167756
- new version 3.2.2
- fixes gsettings-data-convert crashing on every boot (mga#2722)

* Thu Sep 29 2011 wally <wally> 3.2.0-2.mga2
+ Revision: 150382
- add conflicts to ease upgrade from mga1 (mga#2864)

* Sat Sep 24 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 147382
- new version 3.2.0
- clean .spec a bit

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138766
- br sm
- req gnupg
- obsoletes old seahorse packages
- imported package libcryptui

